> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/api-documentation/api-reference/scenarios/tools.md).

# Tools

The following endpoints allow you to manage tools.

## Update tool configuration

> Updates a tool configuration with a given scenario ID by passing new values in the request body. Any property that is not provided will be left unchanged. In the response, it returns all details of the updated tool configuration of the underlying scenario, including properties that were not changed.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Scenarios / Tools","description":"The following endpoints allow you to manage tools."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["scenarios:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/scenarios/tools/{scenarioId}":{"patch":{"tags":["Scenarios / Tools"],"summary":"Update tool configuration","description":"Updates a tool configuration with a given scenario ID by passing new values in the request body. Any property that is not provided will be left unchanged. In the response, it returns all details of the updated tool configuration of the underlying scenario, including properties that were not changed.","parameters":[{"description":"The ID of the scenario. You can get the `scenarioId` with the [List scenarios](/api-reference/scenarios/get--scenarios.md) API call.","name":"scenarioId","in":"path","schema":{"type":"integer"},"required":true},{"name":"cols[]","in":"query","schema":{"type":"array","items":{"type":"string","enum":["id","name","teamId","hookId","devices","deviceId","deviceScope","description","folderId","concept","folderPath","isinvalid","islinked","isActive","islocked","isPaused","usedPackages","usedModules","lastEdit","scheduling","iswaiting","dlqCount","allDlqCount","chainingRole","isShared","type","createdByUser","updatedByUser","created","nextExec","operations","centicredits","transfer","executions","errors","customProperties","templateMetadata","deleted","deletedAt","labels"]}},"description":"Specifies columns that are returned in the response. Use the `cols[]` parameter for every column that you want to return in the response. For example `GET /endpoint?cols[]=key1&cols[]=key2` to get both `key1` and `key2` columns in the response.\n\n[Check the \"Filtering\" section for a full example.](/api-documentation/pagination-sorting-filtering/filtering)\n"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"The name of the tool."},"description":{"type":"string","description":"A description of the tool."},"inputs":{"type":"array","items":{"type":"object"}},"module":{"type":"object","description":"The module of the tool. The module is a JSON object that contains the module ID, version, mapper, parameters, and metadata."}}}}}},"responses":{"200":{"description":"Scenario was updated successfully","content":{"application/json":{"schema":{"type":"object","properties":{"tool":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"inputs":{"type":"array"},"teamId":{"type":"integer"},"module":{"type":"object","properties":{"module":{"type":"string"},"version":{"type":"integer"},"mapper":{"type":"object"},"parameters":{"type":"object"},"metadata":{"type":"object"}}}}}}}}}},"403":{"description":"A module in the blueprint places a locked connection or key the user is not allowed to use (`IM002`, placement guard). Returned only when locked-entities enforcement is enabled for the organization; an untouched frozen module and releasing a locked entity (swapping it out or removing its module) always pass.\n"},"409":{"description":"The scenario was modified concurrently between the placement-guard check and the save (`SC409`). The save was not applied; retry the request.\n"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.make.com/api-documentation/api-reference/scenarios/tools.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
